<table width="450" cellspacing="1">
	<tr>
		<td id="titel">System</td>
	</tr>
	<tr>
		<td>
			<table width="100%" cellspacing="10" id="tableborderless">
				<tr>
					<td valign="top" width="70">
						<img src="images/system.png" alt="System-Logo">
					</td>
					<td align="left">
						<table id="tableborderless">
						<?
# *** IP ermitteln ***
	$ip = shell_exec("/sbin/ifconfig eth0 | grep \"inet Adresse\" | awk '{ print $2 }' | awk -F: '{ print $2 }'");

# *** Kernelversion ermitteln ***
	$kernel = shell_exec("uname -r");

# *** Prozessor erkennen ***
	$cpu = shell_exec("less /proc/cpuinfo | grep 'model name' | awk -F: '{ print $2}'");

# *** Speichergröße ermitteln ***
	$memory = shell_exec("less /proc/meminfo | grep 'MemTotal:' | awk -F: '{ print $2}'");

# *** Grafikkarte erkennen ***
	$vga = shell_exec("lspci | grep VGA | awk -F: '{ print $3 }'");

# *** Soundkarte erkennen ***
	$sound = shell_exec("lspci | grep 'Multimedia audio' | awk -F: '{ print $3 }'");

# *** Netzwerkkarte erkennen ***
	$ethernet = shell_exec("lspci | grep 'Ethernet controller' | awk -F: '{ print $3 }'");

# ***  Laufwerkserkennung P-ATA***
	exec("dmesg | grep 'hda: ' | awk -F: '{ print $2 }'", $HDA);
	$hda = $HDA[0];
        exec("dmesg | grep 'hdb: ' | awk -F: '{ print $2 }'", $HDB);
	$hdb = $HDB[0];
	exec("dmesg | grep 'hdc: ' | awk -F: '{ print $2 }'", $HDC);
        $hdc = $HDC[0];
        exec("dmesg | grep 'hdd: ' | awk -F: '{ print $2 }'", $HDD);
        $hdd = $HDD[0];

# ***  Laufwerkserkennung S-ATA***
        exec("dmesg | grep 'sda: ' | awk -F: '{ print $2 }'", $SDA);
        $sda = $SDA[0];
        exec("dmesg | grep 'sdb: ' | awk -F: '{ print $2 }'", $SDB);
        $sdb = $SDB[0];
	exec("dmesg | grep 'sdc: ' | awk -F: '{ print $2 }'", $SDC);
        $sdc = $SDC[0];
	exec("dmesg | grep 'sdd: ' | awk -F: '{ print $2 }'", $SDD);
	$sdd = $SDD[0];

# *** Auswertung erkannter Laufwerke ***

        if ($hda != "") {
		$hd = $hda;
	}
	if ($sda != "") {
		$hd = $hd."<br><br>".$sda;
	}
	if ($hdb != "") {
		$hd = $hd."<br><br>".$hdb;
	}
	if ($sdb != "") {
		$hd = $hd."<br><br>".$sdb;
        }
	if ($hdc != "") {
		$hd = $hd."<br><br>".$hdc;
	}
        if ($sdc != "") {
		$hd = $hd."<br><br>".$sdc;
	}
	if ($hdd != "") {
		$hd = $hd."<br><br>".$hdd;
	}
	if ($sdd != "") {
		$hd = $hd."<br><br>".$sdd;
	}

# *** Videokarten erkennen ***
	exec("dmesg | grep DVB | awk -F'(' '{ print $2 }'", $DEVICE);
        $laenge = strlen($DEVICE[0]);
        $DEVICE1 = substr($DEVICE[0], 0, $laenge-1);

	$DEVICE2 = shell_exec("dmesg | grep PVR | awk -F: '{ print $3 }'");
	$DEVICE2 = trim($DEVICE2);
	if ($DEVICE2 != "") {
		$dvb = $DEVICE1."<br><br>".$DEVICE2;
	} else {
		$dvb = $DEVICE1;
	}


							echo "<tr onmouseover=\"Tip('$TIP_SYSTEM_KERNEL')\"><td valign='top'><img src=\"images/kernel_small.png\"></td><td valign=\"top\">&nbsp;Kernel:</td><td valign=\"top\"><b>".$kernel."</b></td></tr>";
							echo "<tr onmouseover=\"Tip('$TIP_SYSTEM_IP')\"><td valign='top'><img src=\"images/ip_small.png\"></td><td valign=\"top\">&nbsp;IP-Adresse:</td><td valign=\"top\"><b>".$ip."</b></td></tr>";
							echo "<tr onmouseover=\"Tip('$TIP_SYSTEM_CPU')\"><td valign='top'><img src=\"images/cpu_small.png\"></td><td valign=\"top\">&nbsp;CPU:</td><td valign=\"top\"><b>".$cpu."</b></td></tr>";
							echo "<tr onmouseover=\"Tip('$TIP_SYSTEM_RAM')\"><td valign='top'><img src=\"images/speicher_small.png\"></td><td valign=\"top\">&nbsp;Speicher:</td><td valign=\"top\"><b>".$memory."</b></td></tr>";
							echo "<tr onmouseover=\"Tip('$TIP_SYSTEM_HDD')\"><td valign='top'><img src=\"images/hdd_small.png\"></td><td valign=\"top\">&nbsp;Laufwerke:</td><td valign=\"top\"><b>".$hd."</b></td></tr>";
							echo "<tr onmouseover=\"Tip('$TIP_SYSTEM_NET')\"><td valign='top'><img src=\"images/netcard_small.png\"></td><td valign=\"top\">&nbsp;Netzwerkkarte:</td><td valign=\"top\"><b>".$ethernet."</b></td></tr>";
							echo "<tr onmouseover=\"Tip('$TIP_SYSTEM_VGA')\"><td valign='top'><img src=\"images/grafikcard_small.png\"></td><td valign=\"top\">&nbsp;Grafikkarte:</td><td valign=\"top\"><b>".$vga."</b></td></tr>";
							echo "<tr onmouseover=\"Tip('$TIP_SYSTEM_SND')\"><td valign='top'><img src=\"images/sound_small.png\"></td><td valign=\"top\">&nbsp;Soundkarte:</td><td valign=\"top\"><b>".$sound."</b></td></tr>";
                                                        echo "<tr onmouseover=\"Tip('$TIP_SYSTEM_DVB')\"><td valign='top'><img src=\"images/dvb.png\"></td><td valign=\"top\">&nbsp;Videokarte:</td><td valign=\"top\"><b>".$dvb."</b></td></tr>";a





						?>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
